Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class XMLPartitionScanner

    java.lang.Object
      |
      +--org.eclipse.jface.text.rules.RuleBasedScanner
            |
            +--org.eclipse.jface.text.rules.BufferedRuleBasedScanner
                  |
                  +--org.eclipse.jface.text.rules.RuleBasedPartitionScanner
                        |
                        +--APStudio.editors.XMLPartitionScanner

All Implemented Interfaces:
  org.eclipse.jface.text.rules.ICharacterScanner, org.eclipse.jface.text.rules.IPartitionTokenScanner, org.eclipse.jface.text.rules.ITokenScanner

public class XMLPartitionScanner
extends org.eclipse.jface.text.rules.RuleBasedPartitionScanner

Field Summary
`static java.lang.String` | `XML_COMMENT`
`static java.lang.String` | `XML_DEFAULT`
`static java.lang.String` | `XML_TAG`

Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner
`EOF`

Constructor Summary
`XMLPartitionScanner()`

Methods inherited from class org.eclipse.jface.text.rules.RuleBasedPartitionScanner
`nextToken, setPartialRange, setPredicateRules, setRange, setRules`

Methods inherited from class org.eclipse.jface.text.rules.BufferedRuleBasedScanner
`read, unread`

Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner
`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, setDefaultReturnToken`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.rules.ITokenScanner
`getTokenLength, getTokenOffset`

Field Detail

### XML_DEFAULT

    public static final java.lang.String XML_DEFAULT

See Also:
  Constant Field Values

### XML_COMMENT

    public static final java.lang.String XML_COMMENT

See Also:
  Constant Field Values

### XML_TAG

    public static final java.lang.String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### XMLPartitionScanner

    public XMLPartitionScanner()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD